Bug 1981950 (CVE-2021-21781) - CVE-2021-21781 kernel: arm: SIGPAGE information disclosure vulnerability
Summary: CVE-2021-21781 kernel: arm: SIGPAGE information disclosure vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-21781
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1981951 1983849 1983850 1983853
Blocks: 1981953
TreeView+ depends on / blocked
 
Reported: 2021-07-13 19:01 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-06-16 11:22 UTC (History)
42 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An information disclosure flaw exists in the ARM SIGPAGE functionality of the Linux kernel. An attacker with a local account can read the contents of the sigpage, which contains previously initialized kernel memory contents. This flaw requires an attacker to read a process’s memory at a specific offset to trigger this vulnerability.
Clone Of:
Environment:
Last Closed: 2022-05-11 08:16:32 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:2229 0 None None None 2022-05-12 11:26:22 UTC
Red Hat Product Errata RHBA-2022:4630 0 None None None 2022-05-18 11:46:06 UTC
Red Hat Product Errata RHBA-2022:4693 0 None None None 2022-05-19 05:10:34 UTC
Red Hat Product Errata RHBA-2022:4969 0 None None None 2022-06-08 18:39:34 UTC
Red Hat Product Errata RHBA-2022:5088 0 None None None 2022-06-16 11:22:52 UTC
Red Hat Product Errata RHSA-2022:1988 0 None None None 2022-05-10 14:44:52 UTC

Description Guilherme de Almeida Suckevicz 2021-07-13 19:01:09 UTC
An information disclosure vulnerability exists in the ARM SIGPAGE functionality of Linux Kernel.  A userland application can read the contents of the sigpage (A page in which signal handler information is stored), which can leak kernel memory contents. A local attacker can read a process’s memory at a specific offset to read this information leak.

Reference:
https://talosintelligence.com/vulnerability_reports/TALOS-2021-1243

Comment 1 Guilherme de Almeida Suckevicz 2021-07-13 19:01:51 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1981951]

Comment 7 Justin M. Forbes 2021-07-26 16:35:28 UTC
This was fixed for Fedora with the 5.10.17 stable kernel updates.

Comment 9 errata-xmlrpc 2022-05-10 14:44:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1988 https://access.redhat.com/errata/RHSA-2022:1988

Comment 10 Product Security DevOps Team 2022-05-11 08:16:29 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-21781


Note You need to log in before you can comment on or make changes to this bug.